What a use would check and cost, for its dialog and notice
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/verification/estimate"
payload := strings.NewReader("{ \"service\": \"zerobounce\", \"skipRecent\": true, \"target\": { \"contactId\": \"example\", \"contactIds\": [ \"example\" ], \"filter\": { \"band\": \"cold\", \"bought\": \"example\", \"check\": \"valid\", \"consent\": \"double\", \"growthSource\": \"example\", \"joinedAfter\": \"example\", \"language\": \"example\", \"list\": \"example\", \"mailbox\": \"gmail\", \"paid\": \"with_access\", \"paidTier\": \"example\", \"phone\": \"yes\", \"phoneCountry\": \"example\", \"pushSubscribed\": true, \"q\": \"example\", \"referringDomain\": \"example\", \"scoreFrom\": \"example\", \"scoreTo\": \"example\", \"segment\": \"example\", \"signedIn\": true, \"smsConsent\": \"example\", \"sort\": \"activity\", \"source\": \"example\", \"spentFrom\": \"example\", \"spentTo\": \"example\", \"storeCustomer\": \"example\", \"tag\": \"example\", \"tier\": \"active\", \"utmCampaign\": \"example\", \"utmMedium\": \"example\", \"utmSource\": \"example\", \"whatsAppConsent\": true }, \"importId\": \"example\", \"kind\": \"list\", \"label\": \"example\", \"listId\": \"example\", \"segmentId\": \"example\", \"tiers\": [ \"example\" ] } }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/verification/estimate';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"service":"zerobounce","skipRecent":true,"target":{"contactId":"example","contactIds":["example"],"filter":{"band":"cold","bought":"example","check":"valid","consent":"double","growthSource":"example","joinedAfter":"example","language":"example","list":"example","mailbox":"gmail","paid":"with_access","paidTier":"example","phone":"yes","phoneCountry":"example","pushSubscribed":true,"q":"example","referringDomain":"example","scoreFrom":"example","scoreTo":"example","segment":"example","signedIn":true,"smsConsent":"example","sort":"activity","source":"example","spentFrom":"example","spentTo":"example","storeCustomer":"example","tag":"example","tier":"active","utmCampaign":"example","utmMedium":"example","utmSource":"example","whatsAppConsent":true},"importId":"example","kind":"list","label":"example","listId":"example","segmentId":"example","tiers":["example"]}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/verification/estimate \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "service": "zerobounce", "skipRecent": true, "target": { "contactId": "example", "contactIds": [ "example" ], "filter": { "band": "cold", "bought": "example", "check": "valid", "consent": "double", "growthSource": "example", "joinedAfter": "example", "language": "example", "list": "example", "mailbox": "gmail", "paid": "with_access", "paidTier": "example", "phone": "yes", "phoneCountry": "example", "pushSubscribed": true, "q": "example", "referringDomain": "example", "scoreFrom": "example", "scoreTo": "example", "segment": "example", "signedIn": true, "smsConsent": "example", "sort": "activity", "source": "example", "spentFrom": "example", "spentTo": "example", "storeCustomer": "example", "tag": "example", "tier": "active", "utmCampaign": "example", "utmMedium": "example", "utmSource": "example", "whatsAppConsent": true }, "importId": "example", "kind": "list", "label": "example", "listId": "example", "segmentId": "example", "tiers": [ "example" ] } }'Permission: subscribers:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace slug
Workspace slug
Request Bodyrequired
Section titled “Request Bodyrequired”object
Skip addresses checked in the last 90 days (default true)
object
object
Buyers of a product (its id), or of any product (any)
List id
With paid=with_access: a tier’s id, for that tier and above
Email, name or tag
Segment id
Responses
Section titled “Responses”OK
object
object
Example generated
{ "after": 1, "balance": 1, "balanceAt": "2026-04-15T12:00:00Z", "canManage": true, "canVerify": true, "connected": true, "contacts": 1, "cost": 1, "enough": true, "kind": "example", "label": "example", "manageHelpers": [ "example" ], "price": 1, "regionLabel": "example", "service": "example", "serviceName": "example", "services": [ { "balance": 1, "default": true, "key": "example", "name": "example", "price": 1, "regionLabel": "example" } ], "skipRecent": true, "skipped": 1, "skippedOn": "2026-04-15T12:00:00Z", "skippedService": "example", "toCheck": 1, "verifyHelpers": [ "example" ]}default
Section titled “default”Error
object
Stable error code, e.g. permission_denied
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
Members who hold the missing permission
A URI reference that identifies the specific occurrence of the problem.
object
The missing permission key
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}